Child pages
  • WHM API 1 Functions - php_get_installed_versions
Skip to end of metadata
Go to start of metadata

Description

This function returns the installed PHP versions on a server.


Note:

This document only applies to systems that run EasyApache 4.

Important:

In cPanel & WHM version 76 and later, when you disable the WebServer role, the system disables this function. For more information, read our How to Use Server Profiles documentation.

Examples 


 JSON API
https://hostname.example.com:2087/cpsess##########/json-api/php_get_installed_versions?api.version=1
 XML API
https://hostname.example.com:2087/cpsess##########/xml-api/php_get_installed_versions?api.version=1
 Command Line
whmapi1 php_get_installed_versions


Notes:

  • You must URI-encode values.
  • For more information and additional output options, read our Guide to WHM API 1 documentation or run the whmapi1 --help command.
  • If you run CloudLinux™, you must use the full path of the whmapi1 command:

    /usr/local/cpanel/bin/whmapi1

 Output (JSON)
{
   "data":{
      "versions":[
         "ea-php54",
         "ea-php55",
         "ea-php56",
		 "ea-php70"
      ]
   },
   "metadata":{
      "version":1,
      "reason":"Ok",
      "result":1,
      "command":"php_get_installed_versions"
   }
}
 Output (XML)
<result>
    <data>
        <versions>ea-php54</versions>
        <versions>ea-php55</versions>
        <versions>ea-php56</versions>
		<versions>ea-php70</versions>
    </data>
    <metadata>
        <version>1</version>
        <reason>Ok</reason>
        <result>1</result>
        <command>php_get_installed_versions</command>
    </metadata>
</result>


Note:

Use WHM's API Shell interface (WHM >> Home >> Development >> API Shell) to directly test WHM API calls.

Parameters

This function does not accept parameters.

Returns

ReturnTypeDescriptionPossible valuesExample

versions

arrayThe installed PHP versions.
  • ea-php54
  • ea-php55
  • ea-php56
  • ea-php70
  • ea-php71
  • ea-php72
  • Any custom PHP package name.
ea-php70